Bug 222575 - (pear-ElementGrid) Review Request: php-pear-HTML-QuickForm-ElementGrid - Meta-element which holds any other element in a grid
Review Request: php-pear-HTML-QuickForm-ElementGrid - Meta-element which hold...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-14 15:00 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 00:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-14 15:00:48 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-QuickForm-ElementGrid.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTML-QuickForm-ElementGrid-0.1.0-1.src.rpm

Description:
An HTML_QuickForm meta-element which holds multiple HTML_QuickForm elements in
an HTML_Table. The elements in the table should behave exactly like normal
elements in a form, such as freezing and getting defaults and submitted values
correctly.
Comment 1 Sébastien PRUD'HOMME 2007-04-07 09:58:56 EDT
+ rpmlint output (none)
+ right package name (follows PEAR package naming scheme)
+ build for noarch
+ spec file name = %{name}.spec
+ package version = tarball version
+ uses 1%{?dist} release
+ web site url checked: http://pear.php.net/package/HTML_QuickForm_ElementGrid
+ source file url checked
+ LGPG license
? missing license file
+ requires: php-pear(PEAR)
- requires: php >= 4.3.0 (not sure for this as php-pear requires php yet but
Wiki page says a PEAR package MUST requires it)
+ requires: php-pear(HTML_QuickForm) >= 3.2.5 (as written in PEAR XML package
description)
+ requires: php-pear(HTML_Table) >= 1.7.5 (as written in PEAR XML package
description)
+ provides: php-pear(HTML_QuickForm_ElementGrid) = %{version}
+ uses '%setup -q -c' as suggested in PEAR additional hints
+ uses PEAR macros
+ uses recommended scriptlets for registering and unregistering the module
+ written in english (not my native language so i hope all is OK)
+ md5 of source file same as the one of the source file on the official web site
+ build and installed without problem on fc6
+ sample elementGrid.php tested successfully
+ no duplicate files
+ uses %defattr(-,root,root,-)
+ doesn't own %{pear_phpdir}/HTML/QuickForm directory
? group should be Development/Libraries not Development/Languages
+ buildroot %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Comment 2 Sébastien PRUD'HOMME 2007-04-07 15:59:13 EDT
+ build with mock (fc6 i386)
- a new version is released (0.1.0) since a few days
Comment 3 Jason Tibbitts 2007-05-05 23:59:40 EDT
Let me go ahead and ack this, since Sebastien isn't sponsored yet.

Nothing from rpmlint; everything looks good.

* source files match upstream:
26a09d192dfcc27a250b940943b02e0d1d0c59d0329a5350c915d41164e901ba
HTML_QuickForm_ElementGrid-0.1.0.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
O latest version is 0.1.1.
  This came out way after you submitted the review; any reason for not
  packaging it instead?
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(HTML_QuickForm_ElementGrid) = 0.1.0
   php-pear-HTML-QuickForm-ElementGrid = 0.1.0-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(HTML_QuickForm) >= 3.2.5
   php-pear(HTML_Table) >= 1.7.5
   php-pear(PEAR)

* %check is not present; not test suite upstream.
* owns the directories it creates.
  (/usr/share/pear/HTML/QuickForm is owned by a dependency)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Christopher Stone 2007-05-06 00:41:11 EDT
New Package CVS Request
=======================
Package Name: php-pear-HTML-QuickForm-ElementGrid
Short Description: Meta-element which holds any other element in a grid
Owners: chris.stone@gmail.com
Branches: FC-6 FC-5 EL-5
InitialCC: 
Comment 5 Dennis Gilmore 2007-05-06 01:38:12 EDT
CVS done
Comment 6 Christopher Stone 2007-05-10 00:26:03 EDT
0.1.1 pushed, thanks for the reviews!

Note You need to log in before you can comment on or make changes to this bug.